/**
 * Created on 30.03.2005
 *
 * @author Jens Guenther
 */
package de.unirostock.FactoryMethod.example;

import javax.swing.ImageIcon;

public class OilTanker extends Ship 
{
	private	boolean	itsEngineNeedRepair		= false;
	private	boolean	itsOilTanksNeedsRepair	= false;
	
	public OilTanker(){
		setImgIcon(new ImageIcon(getClass().getClassLoader().getResource("images/OilTankerPlan.gif")));
	}
	
	public ShipServicePlan createShipServicePlan(){
		return new OilTankerPlan( this );
	}

	public boolean isEngineNeedRepair() {
		return itsEngineNeedRepair;
	}

	public boolean isOilTanksNeedsRepair() {
		return itsOilTanksNeedsRepair;
	}

	public void setEngineNeedRepair( boolean repair ) {
		itsEngineNeedRepair	= repair;
	}

	public void setOilTanksNeedsRepair( boolean repair ) {
		itsOilTanksNeedsRepair	= repair;
	}

	public void repairEngine() {
		itsEngineNeedRepair	= false;
	}

	public void repairOilTanks() {
		itsOilTanksNeedsRepair	= false;
	}

}
